// Sample application demonstrating use of the
// SimplePostscript class to output Postscript.
// The file "pattern.ps" is output in the main Processing
// directory.
//
// Excample by Toxi - http://www.toxi.co.uk/
//
// http://process.unlekker.net/SimplePostscript/

SimplePostscript ps; 
 
void setup() { 
  size(200,200); 
  ps=SimplePostscript.open("pattern.ps",0,0, 200,200); 
} 
 
void draw() { 
  background(255); 
  stroke(0); 
  ps.setlinewidth(0.25); 
  ps.setgray(0); 
  int step=2; 
  for(int y=0; y<height; y+=step) { 
    beginShape(LINE_STRIP); 
    for(int x=0; x<width; x+=step/2) { 
 float z=y+calc(x,y); 
 vertex(x,z); 
 if (x==0) ps.moveto(x,z); 
 else ps.lineto(x,z); 
    } 
    endShape(); 
    ps.stroke(); 
  } 
  ps.close(); 
} 
 
float calc(float x,float y) { 
  return 10*(sin(x*0.1)*cos((y+x*0.33)*0.1)); 
}  
